using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Media;
using System.Collections.ObjectModel;
using HelloXaml.Models;
using System.Runtime.InteropServices.Marshalling;

namespace HelloXaml;

public class OrderItem //: ObservableObject
{
    //[ObservableProperty]
    public int Quantity { get; set; }
    public string Desc { get; set;  }
}

public partial class MainWindowViewModel : ObservableObject
{
    public OrderItem Current { get; } = new OrderItem { Quantity = 1, Desc = "asd" };

    [RelayCommand]
    private void Increment()
    {
        Current.Quantity++;
    }
}
public sealed partial class MainWindow : Window
{
    private MainWindowViewModel model = new();

    public MainWindow()
    {
        InitializeComponent();
    }

}
